﻿using System;
using HeartTrack.Models;

namespace HeartTrack.Services.ReportDataService
{
    public interface IReportDataService
    {
        public Task<List<Report>> getAllReports();

        public Task SaveAllReports(List<Report> list);

        public Task AddReport(Report u);

        public Task RemoveReport(Report u);

        public Task UpdateReport(Report u);

        public Task<Report> getReportById(int id);
    }
}

